## ide-debugger-types ide-debugger-types |

## Functions

IdeDebuggerAddress | ide_debugger_address_parse ()
IdeDebuggerAddressRange * | ide_debugger_address_range_copy ()
void | ide_debugger_address_range_free ()

## Types and Values

enum | IdeDebuggerStream
enum | IdeDebuggerMovement
enum | IdeDebuggerStopReason
enum | IdeDebuggerBreakMode
enum | IdeDebuggerBreakpointChange
enum | IdeDebuggerDisposition
typedef | IdeDebuggerAddress
#define | IDE_DEBUGGER_ADDRESS_INVALID

## Object Hierarchy

        GEnum
        ├── IdeDebuggerBreakMode
        ├── IdeDebuggerBreakpointChange
        ├── IdeDebuggerDisposition
        ├── IdeDebuggerMovement
        ├── IdeDebuggerStopReason
        ╰── IdeDebuggerStream

## Description

## Functions

### ide_debugger_address_parse ()

    IdeDebuggerAddress
    ide_debugger_address_parse (const gchar *string);

### ide_debugger_address_range_copy ()

    IdeDebuggerAddressRange *
    ide_debugger_address_range_copy (const IdeDebuggerAddressRange *range);

### ide_debugger_address_range_free ()

    void
    ide_debugger_address_range_free (IdeDebuggerAddressRange *range);

## Types and Values

### enum IdeDebuggerStream

The type of stream for the log message.

#### Members

IDE_DEBUGGER_TARGET | Logging from the inferior process |
IDE_DEBUGGER_CONSOLE | Logging from the debugger console |
IDE_DEBUGGER_EVENT_LOG | Internal event log from the debugger that can be used to troubleshoot the debugger. |

Since: 3.32

### enum IdeDebuggerMovement

Describes the style of movement that should be performed by the debugger.

#### Members

IDE_DEBUGGER_MOVEMENT_START | Start or restart the application |
IDE_DEBUGGER_MOVEMENT_CONTINUE | Continue until a breakpoint is reached |
IDE_DEBUGGER_MOVEMENT_STEP_IN | Execute the next line of code, stepping into any function. |
IDE_DEBUGGER_MOVEMENT_STEP_OVER | Execute the next line of code, stepping over any function. |
IDE_DEBUGGER_MOVEMENT_FINISH | Run until the function returns. |

Since: 3.32

### enum IdeDebuggerStopReason

Represents the reason a process has stopped executing in the debugger.

#### Members

IDE_DEBUGGER_STOP_BREAKPOINT_HIT |  |
IDE_DEBUGGER_STOP_EXITED |  |
IDE_DEBUGGER_STOP_EXITED_NORMALLY | The debugger stopped because the process exited in a graceful fashion. |
IDE_DEBUGGER_STOP_EXITED_SIGNALED |  |
IDE_DEBUGGER_STOP_FUNCTION_FINISHED |  |
IDE_DEBUGGER_STOP_LOCATION_REACHED |  |
IDE_DEBUGGER_STOP_SIGNAL_RECEIVED |  |
IDE_DEBUGGER_STOP_CATCH |  |
IDE_DEBUGGER_STOP_UNKNOWN |  |

Since: 3.32

### enum IdeDebuggerBreakMode

The type of breakpoint.

#### Members

IDE_DEBUGGER_BREAK_NONE | No breakpoint is set |
IDE_DEBUGGER_BREAK_BREAKPOINT | A simple breakpoint that stops the debugger when reaching a given location. |
IDE_DEBUGGER_BREAK_COUNTPOINT | A counter that is incremented when the debugger reaches a breakpoint. |
IDE_DEBUGGER_BREAK_WATCHPOINT | A breakpoint that is conditional on the specification matching. |

Since: 3.32

### enum IdeDebuggerBreakpointChange

Describes the type of modification to perform on a breakpoint.

#### Members

IDE_DEBUGGER_BREAKPOINT_CHANGE_ENABLED | change the enabled state |

Since: 3.32

### enum IdeDebuggerDisposition

The disposition determines what should happen to the breakpoint at the next stop of the debugger.

#### Members

IDE_DEBUGGER_DISPOSITION_KEEP | the breakpoint will be kept after the next stop. This generally means the breakpoint is persistent until removed by the user. |
IDE_DEBUGGER_DISPOSITION_DISABLE | The breakpoint is currently disabled. |
IDE_DEBUGGER_DISPOSITION_DELETE_NEXT_HIT | The breakpoint will be removed after the next time it is hit. |
IDE_DEBUGGER_DISPOSITION_DELETE_NEXT_STOP | The breakpoint will be removed the next time the debugger stops, even if not hit. |

Since: 3.32

### IdeDebuggerAddress

    typedef guint64 IdeDebuggerAddress;

### IDE_DEBUGGER_ADDRESS_INVALID

    #define IDE_DEBUGGER_ADDRESS_INVALID (0)